%global modname grako
%global modfirst %(c=%{modname}; echo ${c:0:1})

Name:           python-%{modname}
Version:        3.18.0
Release:        1%{?dist}
Summary:        Python grammar compiler, EBNF input, PEG/Packrat parser output

License:        BSD
URL:            https://pypi.python.org/pypi/%{modname}/
Source0:        https://pypi.io/packages/source/%{modfirst}/%{modname}/%{modname}-%{version}.tar.gz

# Fedora-specific patch - test with Python 3, not 2
Patch1:         python-%{modname}-py3.patch

BuildArch:      noarch
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
# needed for tests:
BuildRequires:  python%{python3_pkgversion}-pytest

%description
Grako (for "grammar compiler") takes a grammar in a variation of EBNF
as input, and outputs a memoizing PEG/Packrat parser in Python.

%package -n python%{python3_pkgversion}-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{modname}}

%description -n python%{python3_pkgversion}-%{modname}
Grako (for "grammar compiler") takes a grammar in a variation of EBNF
as input, and outputs a memoizing PEG/Packrat parser in Python.

%prep
%setup -q -n %{modname}-%{version}
%patch1 -p1 -b .py3

%build
%py3_build

%check
# can't just use "make test" because depends on calc example which is missing
make grako_test
make regex_test
make antlr_test

%install
%py3_install

# In Python shebang lines, remove use of /usr/bin/env,
# without changing timestamps, and set as executable
for f in %{buildroot}%{python3_sitelib}/%{modname}/bootstrap.py
do
    sed 's|/usr/bin/env python|/usr/bin/python3|' $f >$f.new
    touch -r $f $f.new
    mv $f.new $f
    chmod a+x $f
done



%files -n python%{python3_pkgversion}-%{modname}
%license LICENSE.txt
%doc DESCRIPTION.rst README.md
%{_bindir}/%{modname}
%{python3_sitelib}/%{modname}
%{python3_sitelib}/%{modname}-%{version}-py?.?.egg-info

%changelog
* Sat Dec 10 2016 Eric Smith <brouhaha@fedoraproject.org> 3.18.0-1
- Updated to latest upstream
- Changes per package review (#1401276).

* Sun Dec 04 2016 Eric Smith <brouhaha@fedoraproject.org> 3.17.0-1
- Initial version.
